Guidelines
==========

The following guidelines provide recommendations for programmers who are using 
and contributing to the GNOME platform. The following guidelines are available:

* :doc:`Programming <guidelines/programming>`: reviews GNOME coding style and 
  best practices for memory management, namespacing, GObject Introspection, 
  and more.
* :doc:`Accessibility <guidelines/accessibility>`: guidelines on creating 
  accessible apps and software.
* :doc:`Localization <guidelines/localization>`: standard practices for making 
  software that can be used across languages and locales.
* :doc:`Maintainer <guidelines/maintainer>`: recommended practice for GNOME 
  module maintainers.
* :doc:`Developer documentation style <guidelines/devel-docs>`: the
  documentation style guidelines for GNOME platform components.

.. seealso::
  The GNOME Human Interface Guidelines can be found in `their own website <https://developer.gnome.org/hig/>`_.

Many of these guidelines are most applicable to developers who are contributing 
to the GNOME project, and will help them to write code which is legible and 
maintainable over a long period of time by a diverse team of contributors. 
However, some of the guidelines have more general relevance and are useful to 
those who are using the GNOME platform to create software of their own.

.. toctree::
   :maxdepth: 1
   :hidden:

   guidelines/programming.rst
   guidelines/accessibility.rst
   guidelines/localization.rst
   guidelines/maintainer.rst
   guidelines/devel-docs.rst
   Human Interface Guidelines <https://developer.gnome.org/hig/>
